=== modified file 'preferences/__init__.py'
--- preferences/__init__.py	2011-09-07 16:01:14 +0000
+++ preferences/__init__.py	2012-07-10 08:38:04 +0000
@@ -19,7 +19,6 @@
 from bzrlib.config import GlobalConfig
 from bzrlib.plugins.gtk.preferences.identity import IdentityPage
 from bzrlib.plugins.gtk.preferences.plugins import PluginsPage
-from bzrlib.plugins.gtk.preferences.notifications import NotificationsPage
 
 class PreferencesWindow(Gtk.Dialog):
     """Displays global preferences windows."""
@@ -55,8 +54,7 @@
 
     def _create_pages(self):
         return [("Identity", IdentityPage(self.config)),
-                ("Plugins", PluginsPage()),
-                ("Notifications", NotificationsPage(self.config))]
+                ("Plugins", PluginsPage())]
 
     def display(self):
         self.window.show_all()

=== removed file 'preferences/notifications.py'
--- preferences/notifications.py	2011-09-05 03:44:26 +0000
+++ preferences/notifications.py	1970-01-01 00:00:00 +0000
@@ -1,79 +0,0 @@
-# Copyright (C) 2008 Jelmer Vernooij <jelmer@samba.org>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-from gi.repository import Gtk
-
-import bzrlib.plugins.gtk
-from bzrlib.plugins.gtk.notify import (
-    has_avahi,
-    has_dbus,
-    )
-
-
-def has_email():
-    return (getattr(bzrlib.plugins, "email", None) is not None)
-
-def has_cia():
-    return (getattr(bzrlib.plugins, "cia", None) is not None)
-
-
-class NotificationsPage(Gtk.VBox):
-
-    def __init__(self, config, homogeneous=False, spacing=6):
-        self.config = config
-        super(NotificationsPage, self).__init__(
-            homogeneous=homogeneous, spacing=spacing)
-        self.set_spacing(spacing) # The vertical one
-
-        lan_frame = Gtk.Frame(label="LAN Notifications")
-
-        lan_vbox = Gtk.VBox()
-        lan_frame.add(lan_vbox)
-
-        self.gateway_to_lan = Gtk.CheckButton("_Gateway to LAN")
-        lan_vbox.pack_start(self.gateway_to_lan, False, False, 0)
-        self.gateway_to_lan.set_sensitive(has_dbus())
-
-        self.announce_on_lan = Gtk.CheckButton("_Announce on LAN")
-        lan_vbox.pack_start(self.announce_on_lan, False, False, 0)
-        self.announce_on_lan.set_sensitive(has_avahi())
-
-        self.pack_start(lan_frame, False, False, 0)
-
-        email_frame = Gtk.Frame(label="E-mail notifications")
-
-        email_hbox = Gtk.HBox()
-        self.send_email = Gtk.CheckButton("Send _E-Mail to")
-        email_hbox.pack_start(self.send_email, False, False, 0)
-        self.send_email_to = Gtk.Entry()
-        email_hbox.pack_start(self.send_email_to, False, False, 0)
-
-        email_frame.add(email_hbox)
-        email_frame.set_sensitive(has_email())
-
-        self.pack_start(email_frame, False, False, 0)
-
-        cia_frame = Gtk.Frame(label="CIA notifications")
-
-        cia_user_hbox = Gtk.HBox()
-        cia_user_hbox.pack_start(Gtk.Label("Author name"), False, False, 0)
-        self.cia_user = Gtk.Entry()
-        cia_user_hbox.pack_start(self.cia_user, False, False, 0)
-
-        cia_frame.add(cia_user_hbox)
-        cia_frame.set_sensitive(has_cia())
-
-        self.pack_start(cia_frame, False, False, 0)

=== removed file 'tests/test_notify.py'
--- tests/test_notify.py	2012-02-19 15:00:34 +0000
+++ tests/test_notify.py	1970-01-01 00:00:00 +0000
@@ -1,64 +0,0 @@
-# -*- coding: utf-8 -*-
-# Copyright (C) 2012 Curtis C. Hovey <sinzui.is@verizon.net>
-#
-# This program is free software; you can redistribute it and/or modify
-# it under the terms of the GNU General Public License as published by
-# the Free Software Foundation; either version 2 of the License, or
-# (at your option) any later version.
-#
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU General Public License for more details.
-#
-# You should have received a copy of the GNU General Public License
-# along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
-
-import os
-import subprocess
-
-from bzrlib import tests
-from bzrlib.plugins.gtk.notify import NotifyPopupMenu
-
-
-class FakeNotifyPopupMenu(NotifyPopupMenu):
-
-    SHOW_WIDGETS = False
-
-
-class NotifyPopupMenuTestCase(tests.TestCase):
-
-    def test_init(self):
-        menu = FakeNotifyPopupMenu()
-        items = menu.get_children()
-        self.assertEqual(8, len(items))
-        self.assertEqual('_Gateway to LAN', items[0].props.label)
-        self.assertEqual('Announce _branches on LAN', items[2].props.label)
-        self.assertEqual('gtk-preferences', items[4].props.label)
-        self.assertEqual('gtk-about', items[5].props.label)
-        self.assertEqual('gtk-quit', items[7].props.label)
-
-
-class BzrNotifyTestCase(tests.TestCase):
-
-    def setUp(self):
-        top = os.path.abspath(os.path.join(
-            os.path.dirname(__file__), os.pardir))
-        self.script = os.path.join(top, 'bzr-notify')
-        self.env = dict(os.environ)
-        self.env['BZR_PLUGINS_AT'] = 'gtk@%s' % top
-        super(BzrNotifyTestCase, self).setUp()
-
-    def test_smoketest(self):
-        # This is a smoke test to verify the process starts.
-        # The logic of the module must be moved into notify.py
-        # where it can be properly tested.
-        bzr_notify = subprocess.Popen(
-            [self.script, 'test'],
-            stdout=subprocess.PIPE, stderr=subprocess.PIPE, env=self.env)
-        stdout, stderr = bzr_notify.communicate()
-        self.assertEqual('', stdout)
-        self.assertTrue(
-            stderr in (
-            '', 'ERROR:root:Could not find any typelib for AppIndicator3\n'))

